Bug 730495 - Review Request: perl-Net-Lite-FTP - Perl FTP client with support for TLS
Summary: Review Request: perl-Net-Lite-FTP - Perl FTP client with support for TLS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 17:46 UTC by Sébastien Willmann
Modified: 2011-11-25 02:29 UTC (History)
3 users (show)

Fixed In Version: perl-Net-Lite-FTP-0.61-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 02:28:23 UTC
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sébastien Willmann 2011-08-13 17:46:23 UTC
Spec URL: http://ks28905.kimsufi.com/rpms/perl-Net-Lite-FTP/perl-Net-Lite-FTP.spec
SRPM URL: http://ks28905.kimsufi.com/rpms/perl-Net-Lite-FTP/perl-Net-Lite-FTP-0.54-1.fc15.src.rpm
Description: 

Very simple FTP client with support for TLS

Comment 1 Sébastien Willmann 2011-08-13 19:43:50 UTC
Changed to version 0.61, added doc files, added my email address to the changelogs

New srpm: http://ks28905.kimsufi.com/rpms/perl-Net-Lite-FTP/perl-Net-Lite-FTP-0.61-1.fc15.src.rpm

Comment 2 Pierre-YvesChibon 2011-08-15 16:43:10 UTC
[X] rpmlint must be run on every package.
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[X] The package must be named according to the Package Naming Guidelines.

[X] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[!] The package must meet the Packaging Guidelines.
    You have a couple of lines unneeded for noarch package
    see:
        # Remove OPTIMIZE=... from noarch packages (unneeded)
        # Remove the next line from noarch packages (unneeded)

[X] The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.

[X] The License field in the package spec file must match the actual license.
   License is GPL+ or Artistic

[NA] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[X] The spec file must be written in American English.

[X] The spec file for the package MUST be legible.

[X] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
   source from the src.rpm:
        3d96147106b58079bc7daef70ead20d7a8f7313b  rpmbuild/SOURCES/Net-Lite-FTP-0.61.tar.gz
   source from upstream:
        3d96147106b58079bc7daef70ead20d7a8f7313b  Download/Net-Lite-FTP-0.61.tar.gz

[X] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
    Built successfully on Fedora 15 x86_64
    Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3273679

[NA] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[X] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[NA] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[NA] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[X] Packages must NOT bundle copies of system libraries.

[NA] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[X] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[X] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[X] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[X] Each package must consistently use macros.

[X] The package must contain code, or permissable content.

[NA] Large documentation files must go in a -doc subpackage.

[X] If a package includes something as %doc, it must not affect the runtime
     of the application. To summarize: If it is in %doc, the program must run
     properly if it is not present.

[NA] Header files must be in a -devel package.

[NA] Static libraries must be in a -static package.

[NA] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[NA] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[X] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[NA] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[X] Packages must not own files or directories already owned by other
      packages.

[X] All filenames in rpm packages must be valid UTF-8.


This is a nice package but:
- Please clean the spec of the unneeded lines
- Could you find out what the file M.yml is doing in the sources ? It mentions another project and has a different author.
- Do you want to have it in EPEL?
    - If so, you will have to follow the guidelines:
        http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines
    - If not, you can remove the 'rm -rf $RPM_BUILD_ROOT' at the beginning of the %install section

I am sponsor and willing to sponsor you. I will look into your other review request but I am
also asking you to perform a couple of pre-review.
You can find some there:
- the java sig : https://bugzilla.redhat.com/show_bug.cgi?id=652183
- perl reviews : https://bugzilla.redhat.com/buglist.cgi?short_desc=perl&classification=Fedora&emailtype1=substring&query_format=advanced&emailassigned_to1=1&bug_status=NEW&bug_status=ASSIGNED&short_desc_type=allwordssubstr&email1=nobody%40fedoraproject.org&component=Package%20Review&product=Fedora
- all reviews http://fedoraproject.org/PackageReviewStatus/NEW.html

Please add me on cc to these reviews.

Comment 3 Sébastien Willmann 2011-08-15 17:36:29 UTC
Removed uneeded lines and flags
New SPEC: http://wilqu.fr/rpms/perl-Net-Lite-FTP/perl-Net-Lite-FTP.spec
New SRPM: http://wilqu.fr/rpms/perl-Net-Lite-FTP/perl-Net-Lite-FTP-0.61-2.fc15.src.rpm

Comment 4 Sébastien Willmann 2011-08-16 20:57:47 UTC
I removed the rm -rf $RPM_BUILD_ROOT line.
I asked the author about the M.yml and I am waiting for an answer. This file is not mentionned in the "Special Files" section of the package description (http://search.cpan.org/dist/Net-Lite-FTP/) so I suppose it should not be there.

SPEC: http://wilqu.fr/rpms/perl-Net-Lite-FTP/perl-Net-Lite-FTP.spec
SRPM: http://wilqu.fr/rpms/perl-Net-Lite-FTP/perl-Net-Lite-FTP-0.61-3.fc15.src.rpm

Comment 5 Pierre-YvesChibon 2011-08-16 21:08:37 UTC
ok, this package is approved.

Once I have sponsored you, you will be able to apply for scm rights as describe in https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

Comment 6 Pierre-YvesChibon 2011-11-08 20:58:05 UTC
Removing the NEEDSPONSOR has this is not needed anymore

Comment 7 Sébastien Willmann 2011-11-08 21:11:53 UTC
New Package SCM Request
=======================
Package Name: perl-Net-Lite-FTP
Short Description: Perl FTP client with support for TLS
Owners: wilqu
Branches: f15 f16
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2011-11-08 21:18:16 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-11-08 22:30:09 UTC
perl-Net-Lite-FTP-0.61-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Net-Lite-FTP-0.61-3.fc16

Comment 10 Fedora Update System 2011-11-08 22:37:08 UTC
perl-Net-Lite-FTP-0.61-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Net-Lite-FTP-0.61-3.fc15

Comment 11 Fedora Update System 2011-11-10 17:40:48 UTC
perl-Net-Lite-FTP-0.61-3.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2011-11-25 02:28:23 UTC
perl-Net-Lite-FTP-0.61-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 13 Fedora Update System 2011-11-25 02:29:15 UTC
perl-Net-Lite-FTP-0.61-3.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.